Subject: Re: [Gen-art] gen-art review of draft-sinnreich-sip-tools-06

From: Cullen Jennings <[email-masked]>
Date: Wed, 10 Jun 2009 16:31:46 -0600

I've tentatively put this on the IESG call fro next week in the hope  
we can sort this out before then but if not I expect this to turn into  
a discuss.

On May 21, 2009, at 5:32 PM, Scott Brim wrote:

> I have been selected as the General Area Review Team (Gen-ART)
> reviewer for this draft (for background on Gen-ART, please see
> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>
> Please wait for direction from your document shepherd
> or AD before posting a new version of the draft.
>
> Document: draft-sinnreich-sip-tools-06
> Reviewer: Scott Brim
> Review Date: 21 May 2009
> IETF last call date: 2009 June 05
>
> Summary: This draft is on the right track but has open issues,
> described in the review.
>
> Major issues:
>
> I'm sympathetic but I don't think the recent changes have adequately
> answered the issues that Paul brought up in his review.  I discussed
> it with him and the following things concern me:
>
>  - HIP: Yes, you could use HIP, but HIP NAT traversal uses HIP,
>    (simplified) ICE, and TURN and rendezvous servers.  You get rid of
>    SIP servers, but that's all, then you add HIP rendezvous servers
>    and you also have to deal with the question of authentication
>    services for HIP.

I'm really not sure what to do about this. Three are a bunch of people  
that believe if we just had one transport with good built in NAT  
traversal, we would not need to build it in each application protocol.  
They favor HIP. There is another group that points out the difficulty  
in getting HIP to work and that HIP largely does more or less the same  
things as the application protocol might and does not make things much  
simpler. We are not going to get these two groups to largely change  
their opinions. The current text is more or less middle ground wording  
that mentions both approaches, and does not mandate either. I think  
that is about the strongest thing we can get much widespread agreement  
on at this point.

>
>
>  - Emergency services: Some language has been added but someone with
>    emergency services credentials should check it ... some of what is
>    advocated may be illegal in some scenarios.  The extra language
>    doesn't seem to clarify, rather it seems to send a mixed message.

Ran it by Richard Barnes and I know Brian Rosen has read it in the past.

>
>
> As I said I'm sympathetic to the goal.  In those two areas, maybe it
> would be good to be less ambitious, to tone down the text and not
> overextend your reach?  I don't think it would weaken the case.
>
> Scott
>

---

From: Scott Brim <[email-masked]>
Date: Sun, 14 Jun 2009 15:59:48 -0400

Cullen Jennings allegedly wrote on 06/10/2009 6:31 PM:
> 
> I've tentatively put this on the IESG call fro next week in the hope we
> can sort this out before then but if not I expect this to turn into a
> discuss.

> traversal, we would not need to build it in each application protocol.

I agree, it would be great.

> They favor HIP. There is another group that points out the difficulty in
> getting HIP to work and that HIP largely does more or less the same
> that mentions both approaches, and does not mandate either. I think that
> is about the strongest thing we can get much widespread agreement on at
> this point.

OK.

HIP is (unfortunately) no simpler than anything else once you add all
the little requirements.

> Ran it by Richard Barnes and I know Brian Rosen has read it in the past.

OK

Scott